package client_handlers

import (
	"cpone/utils"
	client_transaksisamplestation "cpone/views/client/transaksisamplestation"

	"github.com/labstack/echo/v4"
)

type TransaksiSampleStationService interface {
}

func NewTransaksiSampleStationHandler(us TransaksiSampleStationService) *TransaksiSampleStationHandler {
	return &TransaksiSampleStationHandler{
		TransaksiSampleStationService: us,
	}
}

type TransaksiSampleStationHandler struct {
	TransaksiSampleStationService TransaksiSampleStationService
}

func (uh *TransaksiSampleStationHandler) ShowTransaksiSampleStation(c echo.Context) error {
	helo := client_transaksisamplestation.Show()
	return utils.View(c, helo)
}
